<?php
namespace Ep\TecDoc;

use Ep\Cache\AbstractCacheFactory;
use Ep\Http\AbstractHttpClientFactory;

return [
    'tecdoc' => [
        'linkingTargetType' => 'P',
        'featuredManufacturerIds' => [],
        'excludedManufacturerIds' => [],
        'showOnlyFeaturedManufacturers' => false,
        'brandIds' => '',
        'language' => 'en',

        'country' => 'HR',
        'featured_manufacturers' => [],
        'lang' => 'en',
        'linking_target_type' => 'P',
        'manufacturers' => [],
        'provider' => 10,

        'catalog_url' => '',
        'save_attribute_names' => false,
    ],

    'caches' => [
        'cache.tecdoc' => [
            'adapter' => 'filesystem',
            'options' => [
                'namespace' => 'tecdoc',
                'default_lifetime' => 7200,
            ],
        ],
    ],

    'dependencies' => [
        'factories' => [
            'cache.tecdoc' => AbstractCacheFactory::class,
            'http.tecdoc' => AbstractHttpClientFactory::class,
        ],
    ],

    'twig' => [
        'template_paths' => [
            'tecdoc' => [__DIR__ . '/../view'],
        ],
    ],
];