<?php
namespace Ep\TecDoc;

use Laminas\ConfigAggregator\ConfigAggregator;
use Laminas\ConfigAggregator\PhpFileProvider;

/**
 * Class ConfigProvider
 *
 * @package Ep\TecDoc
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/tecdoc
 */
class ConfigProvider
{
    /**
     * Vraća konfiguraciju.
     *
     * @return array
     */
    public function __invoke(): array
    {
        return (new ConfigAggregator([
            \Laminas\Hydrator\ConfigProvider::class,
            \Ep\ConfigProvider::class,
            \Ep\Wp\ConfigProvider::class,

            new PhpFileProvider(__DIR__ . '/../config/*.config.php'),
        ]))->getMergedConfig();
    }
}
