<?php
declare(strict_types=1);

namespace Ep\TecDoc\Plugin;

/**
 * Class GenericArticleId
 *
 * @package Ep\TecDoc\Plugin
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/ep-tecdoc
 */
final class GenericArticleId extends AbstractTecDocPlugin
{
    public function attach(): void
    {
        add_filter('get_post_metadata', [$this, 'get_generic_article_id'], 10, 3);
    }

    public function get_generic_article_id($null, $object_id, $meta_key)
    {
        if ($meta_key === '_generic_article_id') {
            $article_key = get_post_meta($object_id, '_tecdoc_key', true);

            if ($articleId = $this->tecdoc->getArticleId($article_key)) {
                if (($article = $this->tecdoc->getArticlesByIds([$articleId])[0] ?? null)) {
                    return [$article['genericArticleId']];
                }
            }
        }

        return $null;
    }
}
