<?php
namespace Ep\TecDoc\Request;

class VehicleIdsByKTypeNumberRequest extends  AbstractRequest
{
    use Parts\CarTypeTrait;
    use Parts\CountriesCarSelectionTrait;
    use Parts\CountryGroupFlagTrait;
    use Parts\LangTrait;

    /** @var int */
    protected $typeNumber;

    /**
     * @return int
     */
    public function getTypeNumber(): int
    {
        return $this->typeNumber;
    }

    /**
     * @param int $typeNumber
     */
    public function setTypeNumber(int $typeNumber): void
    {
        $this->typeNumber = $typeNumber;
    }

    public function toJson()
    {
        $params = [
            'getVehicleIdsByKTypeNumber' => [
                'carType' => $this->carType,
                'countriesCarSelection' => $this->countriesCarSelection,
                'countryGroupFlag' => $this->countryGroupFlag,
                'lang' => $this->lang,
                'provider' => $this->provider,
                'typeNumber' => $this->typeNumber,
            ],
        ];

        return json_encode($params);
    }
}