<?php
namespace Ep\TecDoc\Response;

use Countable;
use Ep\TecDoc\Record\Seq\RecordSeqInterface;
use IteratorAggregate;

/**
 * TecDoc odgovor.
 *
 * @package Ep\TecDoc\Response
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/tecdoc
 */
interface ResponseInterface extends
    Countable,
    IteratorAggregate
{
    /**
     * Vraća podatke iz TecDoc-a.
     *
     * @return RecordSeqInterface
     */
    public function getData(): ?RecordSeqInterface;

    /**
     * Vraća šifru odgovora.
     *
     * @return int
     */
    public function getStatus(): int;

    /**
     * Vraća tekst greške ukoliko je došlo do pogreške u TecDoc-u.
     *
     * @return null|string
     */
    public function getStatusText(): ?string;
}