<?php
namespace Ep\TecDoc\View;

use Ep\TecDoc\TecDocInterface;
use Ep\Wp\View\ViewInterface;
use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;
use Laminas\View\Renderer\RendererInterface;

/**
 * Class VehicleSelectFactory
 *
 * @package Ep\TecDoc\View
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/tecdoc
 */
class AbstractTecdocViewFactory implements FactoryInterface
{
    /**
     * Create an object
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return ViewInterface
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $tecdoc = $container->get(TecDocInterface::class);
        $renderer = $container->get(RendererInterface::class);

        return new $requestedName($tecdoc, $renderer);
    }
}
