<?php
namespace Ep\TecDoc\View\Helper;

use DatePeriod;
use Laminas\View\Helper\AbstractHelper;

/**
 * Class ConstructionYear
 *
 * @package Ep\TecDoc\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/tecdoc
 */
class ConstructionYear extends AbstractHelper
{
    public function __invoke(DatePeriod $period)
    {
        if ($period->getStartDate()->format('Ymd') === date('Ymd')) {
            return '';
        }

        $end = $period->getEndDate()->format('Ymd') === date('Ymd')
            ? $period->getEndDate()->format('m.Y')
            : '...';

        return sprintf('(%s - %s)', $period->getStartDate()->format('m.Y'), $end);
    }
}
