<?php
namespace Ep\TecDoc\View\Helper;

use Ep\TecDoc\Record\VehicleByIdRecord;
use Laminas\View\Helper\AbstractHelper;

/**
 * Class VehicleName
 *
 * @package Ep\TecDoc\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/tecdoc
 */
class VehicleName extends AbstractHelper
{
    public function __invoke(VehicleByIdRecord $vehicle, bool $shortName = false)
    {
        $short = sprintf(
            '%s (%s kW / %s ccm)',
            $vehicle->getTypeName(),
            $vehicle->getPowerKwFrom(),
            $vehicle->getCylinderCapacityCcm()
        );

        if ($shortName) {
            return $short;
        }

        return sprintf(
            '%s %s %s',
            $vehicle->getManufacturerName(),
            $vehicle->getModelName(),
            $short
        );
    }
}
