<?php
namespace Ep\TecDoc\View\Helper;

use Ep\Wp\View\ViewPluginManager;
use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;

/**
 * Class VehicleSelectFactory
 *
 * @package Ep\TecDoc\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/tecdoc
 */
class VehicleSelectFactory implements FactoryInterface
{
    /**
     * Create an object
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return VehicleSelect
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        /** @var ViewPluginManager $views */
        $views = $container->get(ViewPluginManager::class);
        $view = $views->get('tecdoc.vehicle_select');

        return new VehicleSelect($view);
    }
}
