<?php
namespace Ep\TecDoc\View;

use Ep\TecDoc\TecDocInterface;
use Ep\Wp\View\AbstractView;
use Laminas\View\Renderer\RendererInterface;

/**
 * Class SelectedVehicle
 *
 * @package Ep\TecDoc\View
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/tecdoc
 */
class SelectedVehicle extends AbstractView
{
    /** @var TecDocInterface */
    protected $tecdoc;
    /** @var RendererInterface */
    protected $renderer;

    /**
     * SelectedVehicle constructor.
     *
     * @param TecDocInterface $tecdoc
     * @param RendererInterface $renderer
     */
    public function __construct(TecDocInterface $tecdoc, RendererInterface $renderer)
    {
        $this->tecdoc   = $tecdoc;
        $this->renderer = $renderer;
    }

    /**
     * Renderira view.
     *
     * @return string
     */
    public function render(): string
    {
        $vehicle = $this->tecdoc->getCurrentVehicle();

        if (!$vehicle) {
            return '';
        }

        return $this->renderer->render('@tecdoc/selected-vehicle.html.twig', [
            'vehicle' => $vehicle,
            'catalog_url' => '/' . $vehicle->getSlug() . $this->tecdoc->getConfig()['catalog_url'],
        ]);
    }
}
